org.eclipse.wst.jsdt.js.common.ui

## Class PopUpPropertyDialog

- java.lang.Object
- - Dialog
  - - org.eclipse.wst.jsdt.js.common.ui.PopUpPropertyDialog

    public class PopUpPropertyDialog
    extends Dialog

### Constructor Summary

Constructors
Constructor and Description
`PopUpPropertyDialog(Shell shell, java.lang.String title, java.lang.String valueLabel, java.lang.String initialValue, VerifyListener verifyListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `buttonPressed(int buttonId)`
`protected void` `configureShell(Shell shell)`
`void` `create()`
`protected Control` `createDialogArea(Composite parent)`
`java.lang.String` `getName()`
`protected void` `updateButtons()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PopUpPropertyDialog

    public PopUpPropertyDialog(Shell shell,
                               java.lang.String title,
                               java.lang.String valueLabel,
                               java.lang.String initialValue,
                               VerifyListener verifyListener)

### Method Detail

#### createDialogArea

    protected Control createDialogArea(Composite parent)

#### getName

    public java.lang.String getName()

#### buttonPressed

    protected void buttonPressed(int buttonId)

#### configureShell

    protected void configureShell(Shell shell)

#### updateButtons

    protected void updateButtons()

#### create

    public void create()